Author Topic: Need help : Raw Development Build on a Stable Build  (Read 786 times)

jul67

  • New to the forum
  • *
  • Posts: 2
Need help : Raw Development Build on a Stable Build
« on: August 04, 2022, 08:13:20 PM »
Hello,

I have installed successfully ML nighty build on my 600D.
Now I want to install the 10 bit RAW modules.
The problem is that the 10bit RAW zip archive contains the entire ML installation files (autorun, ML folders, modules and so...)
https://builds.magiclantern.fm/jenkins/job/raw_video_10bit_12bit/51/

I'm confused, should I overwrite all files in my sdcard with the new archive that contains the 10bit raw module ?
Should I just have to copy-paste the module file "raw_twk.mo" to my sdcard ?

Thanks.
Julio

Walter Schulz

  • Contributor
  • Hero Member
  • *****
  • Posts: 8492
Re: Need help : Raw Development Build on a Stable Build
« Reply #1 on: August 04, 2022, 09:11:23 PM »
You can remove or rename folder/dir ML and file autoexec.bin and copy new build to card. You can overwrite ML-SETUP.FIR or not because they are identical.
You cannot use this module with the build you are using right now.

Don't expect too much from this build. Your camera's card interface is limited to less than 25 MByte/s and there is no lossless compression module and no SDcard overclocking. You will get exactly 28.57 percent increase in useable pixels for raw recording which translates to roughly 13 percent more resolution in height and width. Hardly making a difference for human perception.

jul67

  • New to the forum
  • *
  • Posts: 2
Re: Need help : Raw Development Build on a Stable Build
« Reply #2 on: August 05, 2022, 09:58:53 AM »
Ok thanks for your reply,

I have a backup with the original 600D firmware.
Can I downgrade to the original Canon firmware ?


Walter Schulz

  • Contributor
  • Hero Member
  • *****
  • Posts: 8492
Re: Need help : Raw Development Build on a Stable Build
« Reply #3 on: August 05, 2022, 10:28:02 AM »
?
What are you trying to do?
 
You can install every Canon firmware version you want. But ML works with firmware version 1.0.2 only.
You can not uninstall ML by installing Canon firmware. If you want to uninstall ML from your card and cam you have to redo ML installation and follow screen instructions (bottom line).